package com.ylx.point.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.point.domain.PointActivity;
import com.ylx.point.domain.dto.*;
import com.ylx.point.domain.vo.*;

import java.util.List;

/**
 * 积分活动主Service接口
 *
 * @author wzj
 * @date 2026-03-25
 */
public interface IPointActivityService extends IService<PointActivity> {

    Page<PointActivityPageVo> list(Page<PointActivity> page, PointActivityPageDTO dto);

    PointActivityDetailsVo<?> getDetailsInfo(Long id);

    void add(PointActivityDTO dto);

    void edit(PointActivityDTO dto);

    PointActivityStatVo getStatInfo(Long id);

    void editValidity(PointActivityValidityDTO dto);

    List<PointActivityValidityVo> validityDetails();

    Integer selectTotalActiveTasks(String cityCode);

    Page<UserPointActivityVo> getUserPointActivityList(Page<PointActivity> page, UserPointActivityPageDTO dto);

    List<UserPointActivityVo> activityList();

    List<SignDayVo> getSignInfo(SignDTO dto);

    void sign(SignDTO dto);

}
